remove GetenvB not called function
[scilab.git] / scilab / modules / io / Makefile.in
1 # Makefile.in generated by automake 1.14 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39 VPATH = @srcdir@
40 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
41 am__make_running_with_option = \
42   case $${target_option-} in \
43       ?) ;; \
44       *) echo "am__make_running_with_option: internal error: invalid" \
45               "target option '$${target_option-}' specified" >&2; \
46          exit 1;; \
47   esac; \
48   has_opt=no; \
49   sane_makeflags=$$MAKEFLAGS; \
50   if $(am__is_gnu_make); then \
51     sane_makeflags=$$MFLAGS; \
52   else \
53     case $$MAKEFLAGS in \
54       *\\[\ \   ]*) \
55         bs=\\; \
56         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
57           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
58     esac; \
59   fi; \
60   skip_next=no; \
61   strip_trailopt () \
62   { \
63     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64   }; \
65   for flg in $$sane_makeflags; do \
66     test $$skip_next = yes && { skip_next=no; continue; }; \
67     case $$flg in \
68       *=*|--*) continue;; \
69         -*I) strip_trailopt 'I'; skip_next=yes;; \
70       -*I?*) strip_trailopt 'I';; \
71         -*O) strip_trailopt 'O'; skip_next=yes;; \
72       -*O?*) strip_trailopt 'O';; \
73         -*l) strip_trailopt 'l'; skip_next=yes;; \
74       -*l?*) strip_trailopt 'l';; \
75       -[dEDm]) skip_next=yes;; \
76       -[JT]) skip_next=yes;; \
77     esac; \
78     case $$flg in \
79       *$$target_option*) has_opt=yes; break;; \
80     esac; \
81   done; \
82   test $$has_opt = yes
83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
85 pkgdatadir = $(datadir)/@PACKAGE@
86 pkgincludedir = $(includedir)/@PACKAGE@
87 pkglibdir = $(libdir)/@PACKAGE@
88 pkglibexecdir = $(libexecdir)/@PACKAGE@
89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
90 install_sh_DATA = $(install_sh) -c -m 644
91 install_sh_PROGRAM = $(install_sh) -c
92 install_sh_SCRIPT = $(install_sh) -c
93 INSTALL_HEADER = $(INSTALL_DATA)
94 transform = $(program_transform_name)
95 NORMAL_INSTALL = :
96 PRE_INSTALL = :
97 POST_INSTALL = :
98 NORMAL_UNINSTALL = :
99 PRE_UNINSTALL = :
100 POST_UNINSTALL = :
101 build_triplet = @build@
102 host_triplet = @host@
103 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
104         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
105         $(top_srcdir)/config/depcomp
106 @NEED_JAVA_TRUE@am__append_1 = java
107 subdir = modules/io
108 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
110         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
111         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
112         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
113         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
114         $(top_srcdir)/m4/intel_compiler.m4 \
115         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
116         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
117         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
118         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
119         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
120         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
121         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
122         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
123         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
124         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
125         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
126 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
127         $(ACLOCAL_M4)
128 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
129 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
130 CONFIG_CLEAN_FILES =
131 CONFIG_CLEAN_VPATH_FILES =
132 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
133 am__vpath_adj = case $$p in \
134     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
135     *) f=$$p;; \
136   esac;
137 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
138 am__install_max = 40
139 am__nobase_strip_setup = \
140   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
141 am__nobase_strip = \
142   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
143 am__nobase_list = $(am__nobase_strip_setup); \
144   for p in $$list; do echo "$$p $$p"; done | \
145   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
146   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
147     if (++n[$$2] == $(am__install_max)) \
148       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
149     END { for (dir in files) print dir, files[dir] }'
150 am__base_list = \
151   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
152   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
153 am__uninstall_files_from_dir = { \
154   test -z "$$files" \
155     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
156     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
157          $(am__cd) "$$dir" && rm -f $$files; }; \
158   }
159 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
160         "$(DESTDIR)$(libsciio_la_etcdir)" \
161         "$(DESTDIR)$(libsciio_la_rootdir)" \
162         "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
163 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
164 libsciio_algo_la_LIBADD =
165 am__objects_1 = libsciio_algo_la-getpidc.lo \
166         libsciio_algo_la-setenvc.lo libsciio_algo_la-systemc.lo \
167         libsciio_algo_la-getenvc.lo libsciio_algo_la-v2cuniterror.lo
168 am__objects_2 = v2unit.lo newsave.lo v2cunit.lo
169 am_libsciio_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
170 libsciio_algo_la_OBJECTS = $(am_libsciio_algo_la_OBJECTS)
171 AM_V_lt = $(am__v_lt_@AM_V@)
172 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
173 am__v_lt_0 = --silent
174 am__v_lt_1 = 
175 @MAINTAINER_MODE_FALSE@am_libsciio_algo_la_rpath =
176 @MAINTAINER_MODE_TRUE@am_libsciio_algo_la_rpath =
177 libsciio_la_DEPENDENCIES = libsciio-algo.la
178 am__objects_3 = libsciio_la-sci_read4b.lo libsciio_la-sci_getio.lo \
179         libsciio_la-sci_readb.lo libsciio_la-sci_host.lo \
180         libsciio_la-sci_file.lo libsciio_la-sci_getenv.lo \
181         libsciio_la-sci_write.lo libsciio_la-sci_writeb.lo \
182         libsciio_la-sci_setenv.lo libsciio_la-gw_io.lo \
183         libsciio_la-sci_read.lo libsciio_la-sci_getpid.lo \
184         libsciio_la-sci_write4b.lo libsciio_la-sci_load.lo \
185         libsciio_la-sci_unix.lo libsciio_la-sci_save.lo
186 am__objects_4 = intwrite4b.lo intwritb.lo intwrite.lo intread4b.lo \
187         intread.lo intreadb.lo intfile.lo
188 am_libsciio_la_OBJECTS = $(am__objects_3) $(am__objects_4)
189 libsciio_la_OBJECTS = $(am_libsciio_la_OBJECTS)
190 @MAINTAINER_MODE_FALSE@am_libsciio_la_rpath =
191 @MAINTAINER_MODE_TRUE@am_libsciio_la_rpath = -rpath $(pkglibdir)
192 AM_V_P = $(am__v_P_@AM_V@)
193 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
194 am__v_P_0 = false
195 am__v_P_1 = :
196 AM_V_GEN = $(am__v_GEN_@AM_V@)
197 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
198 am__v_GEN_0 = @echo "  GEN     " $@;
199 am__v_GEN_1 = 
200 AM_V_at = $(am__v_at_@AM_V@)
201 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
202 am__v_at_0 = @
203 am__v_at_1 = 
204 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
205 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
206 am__depfiles_maybe = depfiles
207 am__mv = mv -f
208 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
209         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
210 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
211         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
212         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
213         $(AM_CFLAGS) $(CFLAGS)
214 AM_V_CC = $(am__v_CC_@AM_V@)
215 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
216 am__v_CC_0 = @echo "  CC      " $@;
217 am__v_CC_1 = 
218 CCLD = $(CC)
219 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
220         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
221         $(AM_LDFLAGS) $(LDFLAGS) -o $@
222 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
223 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
224 am__v_CCLD_0 = @echo "  CCLD    " $@;
225 am__v_CCLD_1 = 
226 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
227 LTF77COMPILE = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
228         $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
229 AM_V_F77 = $(am__v_F77_@AM_V@)
230 am__v_F77_ = $(am__v_F77_@AM_DEFAULT_V@)
231 am__v_F77_0 = @echo "  F77     " $@;
232 am__v_F77_1 = 
233 F77LD = $(F77)
234 F77LINK = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
235         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
236         $(AM_LDFLAGS) $(LDFLAGS) -o $@
237 AM_V_F77LD = $(am__v_F77LD_@AM_V@)
238 am__v_F77LD_ = $(am__v_F77LD_@AM_DEFAULT_V@)
239 am__v_F77LD_0 = @echo "  F77LD   " $@;
240 am__v_F77LD_1 = 
241 SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
242 DIST_SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
243 am__can_run_installinfo = \
244   case $$AM_UPDATE_INFO_DIR in \
245     n|no|NO) false;; \
246     *) (install-info --version) >/dev/null 2>&1;; \
247   esac
248 DATA = $(libsciio_la_etc_DATA) $(libsciio_la_root_DATA) \
249         $(libsciio_la_sci_gateway_DATA)
250 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
251 # Read a list of newline-separated strings from the standard input,
252 # and print each of them once, without duplicates.  Input order is
253 # *not* preserved.
254 am__uniquify_input = $(AWK) '\
255   BEGIN { nonempty = 0; } \
256   { items[$$0] = 1; nonempty = 1; } \
257   END { if (nonempty) { for (i in items) print i; }; } \
258 '
259 # Make sure the list of sources is unique.  This is necessary because,
260 # e.g., the same source file might be shared among _SOURCES variables
261 # for different programs/libraries.
262 am__define_uniq_tagged_files = \
263   list='$(am__tagged_files)'; \
264   unique=`for i in $$list; do \
265     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
266   done | $(am__uniquify_input)`
267 ETAGS = etags
268 CTAGS = ctags
269 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
270 ACLOCAL = @ACLOCAL@
271 ALL_LINGUAS = @ALL_LINGUAS@
272 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
273 AMTAR = @AMTAR@
274 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
275 ANT = @ANT@
276 ANTLR = @ANTLR@
277 AR = @AR@
278 ARPACK_LIBS = @ARPACK_LIBS@
279 ASM3 = @ASM3@
280 AUTOCONF = @AUTOCONF@
281 AUTOHEADER = @AUTOHEADER@
282 AUTOMAKE = @AUTOMAKE@
283 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
284 AWK = @AWK@
285 BATIK = @BATIK@
286 BLAS_LIBS = @BLAS_LIBS@
287 CC = @CC@
288 CCACHE = @CCACHE@
289 CCDEPMODE = @CCDEPMODE@
290 CFLAGS = @CFLAGS@
291 CHECKSTYLE = @CHECKSTYLE@
292 COBERTURA = @COBERTURA@
293 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
294 COMMONS_IO = @COMMONS_IO@
295 COMMONS_LOGGING = @COMMONS_LOGGING@
296 CPP = @CPP@
297 CPPFLAGS = @CPPFLAGS@
298 CURL_CFLAGS = @CURL_CFLAGS@
299 CURL_CONFIG = @CURL_CONFIG@
300 CURL_LIBS = @CURL_LIBS@
301 CURL_VERSION = @CURL_VERSION@
302 CXX = @CXX@
303 CXXCPP = @CXXCPP@
304 CXXDEPMODE = @CXXDEPMODE@
305 CXXFLAGS = @CXXFLAGS@
306 CYGPATH_W = @CYGPATH_W@
307 DEFS = @DEFS@
308 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
309 DEPDIR = @DEPDIR@
310 DOCBOOK_ROOT = @DOCBOOK_ROOT@
311 DOXYGEN_BIN = @DOXYGEN_BIN@
312 DSYMUTIL = @DSYMUTIL@
313 DUMPBIN = @DUMPBIN@
314 ECHO_C = @ECHO_C@
315 ECHO_N = @ECHO_N@
316 ECHO_T = @ECHO_T@
317 EGREP = @EGREP@
318 EXEEXT = @EXEEXT@
319 F77 = @F77@
320 FFLAGS = @FFLAGS@
321 FFTW3_LIB = @FFTW3_LIB@
322 FFTW_ENABLE = @FFTW_ENABLE@
323 FGREP = @FGREP@
324 FLEXDOCK = @FLEXDOCK@
325 FLIBS = @FLIBS@
326 FOP = @FOP@
327 GENHTML = @GENHTML@
328 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
329 GIWS_BIN = @GIWS_BIN@
330 GLUEGEN2_RT = @GLUEGEN2_RT@
331 GMSGFMT = @GMSGFMT@
332 GMSGFMT_015 = @GMSGFMT_015@
333 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
334 GREP = @GREP@
335 GUI_ENABLE = @GUI_ENABLE@
336 HDF5_CFLAGS = @HDF5_CFLAGS@
337 HDF5_LIBS = @HDF5_LIBS@
338 HELP_ENABLE = @HELP_ENABLE@
339 INSTALL = @INSTALL@
340 INSTALL_DATA = @INSTALL_DATA@
341 INSTALL_PROGRAM = @INSTALL_PROGRAM@
342 INSTALL_SCRIPT = @INSTALL_SCRIPT@
343 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
344 INTLLIBS = @INTLLIBS@
345 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
346 JAR = @JAR@
347 JAVA = @JAVA@
348 JAVAC = @JAVAC@
349 JAVAC_DEBUG = @JAVAC_DEBUG@
350 JAVADOC = @JAVADOC@
351 JAVAH = @JAVAH@
352 JAVASCI_ENABLE = @JAVASCI_ENABLE@
353 JAVA_ENABLE = @JAVA_ENABLE@
354 JAVA_G = @JAVA_G@
355 JAVA_HOME = @JAVA_HOME@
356 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
357 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
358 JDB = @JDB@
359 JEUCLID_CORE = @JEUCLID_CORE@
360 JGRAPHX = @JGRAPHX@
361 JHALL = @JHALL@
362 JLATEXMATH = @JLATEXMATH@
363 JLATEXMATH_FOP = @JLATEXMATH_FOP@
364 JOGL2 = @JOGL2@
365 JROSETTA_API = @JROSETTA_API@
366 JROSETTA_ENGINE = @JROSETTA_ENGINE@
367 JUNIT4 = @JUNIT4@
368 LAPACK_LIBS = @LAPACK_LIBS@
369 LCOV = @LCOV@
370 LD = @LD@
371 LDFLAGS = @LDFLAGS@
372 LIBICONV = @LIBICONV@
373 LIBINTL = @LIBINTL@
374 LIBM = @LIBM@
375 LIBOBJS = @LIBOBJS@
376 LIBS = @LIBS@
377 LIBTOOL = @LIBTOOL@
378 LIPO = @LIPO@
379 LN_S = @LN_S@
380 LOGGING_LEVEL = @LOGGING_LEVEL@
381 LOOKS = @LOOKS@
382 LTLIBICONV = @LTLIBICONV@
383 LTLIBINTL = @LTLIBINTL@
384 LTLIBOBJS = @LTLIBOBJS@
385 MAINT = @MAINT@
386 MAKEINFO = @MAKEINFO@
387 MATIO_CFLAGS = @MATIO_CFLAGS@
388 MATIO_ENABLE = @MATIO_ENABLE@
389 MATIO_LIBS = @MATIO_LIBS@
390 MKDIR_P = @MKDIR_P@
391 MPI_ENABLE = @MPI_ENABLE@
392 MSGCAT = @MSGCAT@
393 MSGFMT = @MSGFMT@
394 MSGFMT_015 = @MSGFMT_015@
395 MSGMERGE = @MSGMERGE@
396 NM = @NM@
397 NMEDIT = @NMEDIT@
398 OBJDUMP = @OBJDUMP@
399 OBJEXT = @OBJEXT@
400 OCAMLC = @OCAMLC@
401 OCAMLDEP = @OCAMLDEP@
402 OCAMLLEX = @OCAMLLEX@
403 OCAMLOPT = @OCAMLOPT@
404 OCAMLYACC = @OCAMLYACC@
405 OPENMPI_CC = @OPENMPI_CC@
406 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
407 OPENMPI_CXX = @OPENMPI_CXX@
408 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
409 OPENMPI_LIBS = @OPENMPI_LIBS@
410 OPENMP_CFLAGS = @OPENMP_CFLAGS@
411 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
412 OPENMP_ENABLE = @OPENMP_ENABLE@
413 OPENMP_LIBS = @OPENMP_LIBS@
414 OTOOL = @OTOOL@
415 OTOOL64 = @OTOOL64@
416 PACKAGE = @PACKAGE@
417 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
418 PACKAGE_NAME = @PACKAGE_NAME@
419 PACKAGE_STRING = @PACKAGE_STRING@
420 PACKAGE_TARNAME = @PACKAGE_TARNAME@
421 PACKAGE_URL = @PACKAGE_URL@
422 PACKAGE_VERSION = @PACKAGE_VERSION@
423 PATH_SEPARATOR = @PATH_SEPARATOR@
424 PCRE_CFLAGS = @PCRE_CFLAGS@
425 PCRE_CONFIG = @PCRE_CONFIG@
426 PCRE_LIBS = @PCRE_LIBS@
427 PCRE_VERSION = @PCRE_VERSION@
428 PKG_CONFIG = @PKG_CONFIG@
429 POSUB = @POSUB@
430 POW_LIB = @POW_LIB@
431 PYTHON = @PYTHON@
432 RANLIB = @RANLIB@
433 RELOCATABLE = @RELOCATABLE@
434 RT_LIB = @RT_LIB@
435 SAXON = @SAXON@
436 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
437 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
438 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
439 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
440 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
441 SCIRENDERER = @SCIRENDERER@
442 SCIRENDERER_CP = @SCIRENDERER_CP@
443 SCI_CFLAGS = @SCI_CFLAGS@
444 SCI_CXXFLAGS = @SCI_CXXFLAGS@
445 SCI_FFLAGS = @SCI_FFLAGS@
446 SCI_LDFLAGS = @SCI_LDFLAGS@
447 SED = @SED@
448 SET_MAKE = @SET_MAKE@
449 SET_RELOCATABLE = @SET_RELOCATABLE@
450 SHELL = @SHELL@
451 SKINLF = @SKINLF@
452 SPLINT = @SPLINT@
453 STRIP = @STRIP@
454 SWIG_BIN = @SWIG_BIN@
455 SWIG_JAVA = @SWIG_JAVA@
456 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
457 SWIG_SCILAB = @SWIG_SCILAB@
458 TCLTK_LIBS = @TCLTK_LIBS@
459 TCL_INC_PATH = @TCL_INC_PATH@
460 TK_INC_PATH = @TK_INC_PATH@
461 UMFPACK_ENABLE = @UMFPACK_ENABLE@
462 UMFPACK_LIB = @UMFPACK_LIB@
463 USE_NLS = @USE_NLS@
464 VERSION = @VERSION@
465 WITH_OCAML = @WITH_OCAML@
466 WITH_TKSCI = @WITH_TKSCI@
467 XCOS_ENABLE = @XCOS_ENABLE@
468 XGETTEXT = @XGETTEXT@
469 XGETTEXT_015 = @XGETTEXT_015@
470 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
471 XMKMF = @XMKMF@
472 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
473 XML_APIS_EXT = @XML_APIS_EXT@
474 XML_CONFIG = @XML_CONFIG@
475 XML_FLAGS = @XML_FLAGS@
476 XML_LIBS = @XML_LIBS@
477 XML_VERSION = @XML_VERSION@
478 X_CFLAGS = @X_CFLAGS@
479 X_EXTRA_LIBS = @X_EXTRA_LIBS@
480 X_LIBS = @X_LIBS@
481 X_PRE_LIBS = @X_PRE_LIBS@
482 abs_builddir = @abs_builddir@
483 abs_srcdir = @abs_srcdir@
484 abs_top_builddir = @abs_top_builddir@
485 abs_top_srcdir = @abs_top_srcdir@
486 ac_ct_AR = @ac_ct_AR@
487 ac_ct_CC = @ac_ct_CC@
488 ac_ct_CXX = @ac_ct_CXX@
489 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
490 ac_ct_F77 = @ac_ct_F77@
491 am__include = @am__include@
492 am__leading_dot = @am__leading_dot@
493 am__quote = @am__quote@
494 am__tar = @am__tar@
495 am__untar = @am__untar@
496 bindir = @bindir@
497 build = @build@
498 build_alias = @build_alias@
499 build_cpu = @build_cpu@
500 build_os = @build_os@
501 build_vendor = @build_vendor@
502 builddir = @builddir@
503 cxx_present = @cxx_present@
504 datadir = @datadir@
505 datarootdir = @datarootdir@
506 docdir = @docdir@
507 dvidir = @dvidir@
508 exec_prefix = @exec_prefix@
509 host = @host@
510 host_alias = @host_alias@
511 host_cpu = @host_cpu@
512 host_os = @host_os@
513 host_vendor = @host_vendor@
514 htmldir = @htmldir@
515 includedir = @includedir@
516 infodir = @infodir@
517 install_sh = @install_sh@
518 libdir = @libdir@
519 libexecdir = @libexecdir@
520 localedir = @localedir@
521 localstatedir = @localstatedir@
522 mandir = @mandir@
523 mkdir_p = @mkdir_p@
524 oldincludedir = @oldincludedir@
525 pdfdir = @pdfdir@
526 prefix = @prefix@
527 program_transform_name = @program_transform_name@
528 psdir = @psdir@
529 sbindir = @sbindir@
530 sharedstatedir = @sharedstatedir@
531 srcdir = @srcdir@
532 sysconfdir = @sysconfdir@
533 target_alias = @target_alias@
534 top_build_prefix = @top_build_prefix@
535 top_builddir = @top_builddir@
536 top_srcdir = @top_srcdir@
537 IO_C_SOURCES = src/c/getpidc.c \
538 src/c/setenvc.c \
539 src/c/systemc.c \
540 src/c/getenvc.c \
541 src/c/v2cuniterror.c
542
543 IO_FORTRAN_SOURCES = src/fortran/v2unit.f \
544 src/fortran/newsave.f \
545 src/fortran/v2cunit.f
546
547 GATEWAY_C_SOURCES = sci_gateway/c/sci_read4b.c \
548 sci_gateway/c/sci_getio.c \
549 sci_gateway/c/sci_readb.c \
550 sci_gateway/c/sci_host.c \
551 sci_gateway/c/sci_file.c \
552 sci_gateway/c/sci_getenv.c \
553 sci_gateway/c/sci_write.c \
554 sci_gateway/c/sci_writeb.c \
555 sci_gateway/c/sci_setenv.c \
556 sci_gateway/c/gw_io.c \
557 sci_gateway/c/sci_read.c \
558 sci_gateway/c/sci_getpid.c \
559 sci_gateway/c/sci_write4b.c \
560 sci_gateway/c/sci_load.c \
561 sci_gateway/c/sci_unix.c \
562 sci_gateway/c/sci_save.c
563
564 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/intwrite4b.f \
565 sci_gateway/fortran/intwritb.f \
566 sci_gateway/fortran/intwrite.f \
567 sci_gateway/fortran/intread4b.f \
568 sci_gateway/fortran/intread.f \
569 sci_gateway/fortran/intreadb.f \
570 sci_gateway/fortran/intfile.f
571
572 libsciio_la_CPPFLAGS = -I$(srcdir)/includes/ \
573                         -I$(srcdir)/src/c/ \
574                         -I$(top_srcdir)/modules/core/includes/ \
575                         -I$(top_srcdir)/modules/fileio/includes/ \
576                         -I$(top_srcdir)/modules/api_scilab/includes/ \
577                         -I$(top_srcdir)/modules/output_stream/includes/ \
578                         -I$(top_srcdir)/modules/localization/includes/ \
579                         $(AM_CPPFLAGS)
580
581 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciio.la
582 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciio-algo.la libsciio.la
583 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libsciio-algo.la
584 libsciio_algo_la_SOURCES = $(IO_C_SOURCES) $(IO_FORTRAN_SOURCES)
585 libsciio_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
586 libsciio_algo_la_CPPFLAGS = $(libsciio_la_CPPFLAGS)
587
588 # For the code check (splint)
589 CHECK_SRC = $(IO_C_SOURCES) $(GATEWAY_C_SOURCES)
590 INCLUDE_FLAGS = $(libsciio_la_CPPFLAGS)
591 libsciio_la_LIBADD = libsciio-algo.la
592
593 #### Target ######
594 modulename = io
595
596 #### io : Conf files ####
597 libsciio_la_rootdir = $(mydatadir)
598 libsciio_la_root_DATA = license.txt 
599
600 ####io : init scripts ####
601 libsciio_la_etcdir = $(mydatadir)/etc
602 libsciio_la_etc_DATA = etc/io.quit etc/io.start
603
604 ####io : gateway declaration ####
605 libsciio_la_sci_gatewaydir = $(mydatadir)/sci_gateway
606 libsciio_la_sci_gateway_DATA = sci_gateway/io_gateway.xml
607
608 # Where all the Scilab stuff is installed (macros, help, ...)
609 mydatadir = $(pkgdatadir)/modules/$(modulename)
610
611 # Set AM_* SCI detected settings
612 AM_CPPFLAGS = $(SCI_CPPFLAGS)
613 AM_CFLAGS = $(SCI_CFLAGS)
614 AM_CXXFLAGS = $(SCI_CXXFLAGS)
615 # append includes to AM_FFLAGS to manage fortran includes
616 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
617
618 # Tag shared libraries with the Scilab version
619 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
620
621 # splint options
622 SPLINT_OPTIONS = -weak -booltype BOOL
623
624 ########################### JAVA ######################################
625 #### We are delegating java compilation to ant... Thanks to that
626 #### the procedure will be the same with Microsoft Windows (C)
627 #### and Linux/Unix
628 #######################################################################
629 TARGETS_ALL = $(am__append_1)
630
631 ################ MACROS ######################
632 # Rule to build a macro
633 # NOT USED  AT THE MOMENT
634 SUFFIXES = .sci 
635
636 ########### INSTALL DOCUMENTATION ###################
637
638 # Install documentation files into the right target
639 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
640 # automake needs the html files to be present which is not the case when
641 # we are building Scilab
642
643 # Where it should be installed
644 pkgdocdir = $(mydatadir)
645
646 # What is the mask of the help source
647 DOCMASKXML = *.xml
648
649 # What is the mask of the MathML sources
650 DOCMASKMML = *.mml
651
652 ########### INSTALL DATA ###################
653 # Install macros, help & demos
654 # Where it should be installed
655 pkgmacrosdir = $(mydatadir)
656 # Which directory we process
657 MACRODIRS = macros/
658 # Mask of the Scilab sources macros
659 MACROMASK = *.sci
660 # Mask of the Scilab executable sources macros
661 MACROBUILDMASK = *.sce
662 # Mask of the Scilab compiled macros
663 MACROBINMASK = *.bin
664 # List of the standard directory for tests
665 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
666 # Where the demos should be installed
667 pkgdemosdir = $(mydatadir)
668 # List of the standard directory for demos
669 DEMOS_DIR = demos
670 # List of the standard directory for examples
671 EXAMPLES_DIR = examples
672 # Where to export JAVA archives (.jar)
673 JARDIR = jar/
674 # JAR files mask
675 JARMASK = *.jar
676 # Chapter file 
677 HELP_CHAPTERDIR = help/
678 HELP_CHAPTERFILE = addchapter.sce
679 HELP_CHAPTERLANG = en_US fr_FR pt_BR
680 all: all-am
681
682 .SUFFIXES:
683 .SUFFIXES: .sci .bin .c .f .lo .o .obj
684 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
685         @for dep in $?; do \
686           case '$(am__configure_deps)' in \
687             *$$dep*) \
688               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
689                 && { if test -f $@; then exit 0; else break; fi; }; \
690               exit 1;; \
691           esac; \
692         done; \
693         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/io/Makefile'; \
694         $(am__cd) $(top_srcdir) && \
695           $(AUTOMAKE) --foreign modules/io/Makefile
696 .PRECIOUS: Makefile
697 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
698         @case '$?' in \
699           *config.status*) \
700             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
701           *) \
702             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
703             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
704         esac;
705 $(top_srcdir)/Makefile.incl.am:
706
707 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
708         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
709
710 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
711         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
712 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
713         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
714 $(am__aclocal_m4_deps):
715
716 clean-noinstLTLIBRARIES:
717         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
718         @list='$(noinst_LTLIBRARIES)'; \
719         locs=`for p in $$list; do echo $$p; done | \
720               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
721               sort -u`; \
722         test -z "$$locs" || { \
723           echo rm -f $${locs}; \
724           rm -f $${locs}; \
725         }
726
727 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
728         @$(NORMAL_INSTALL)
729         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
730         list2=; for p in $$list; do \
731           if test -f $$p; then \
732             list2="$$list2 $$p"; \
733           else :; fi; \
734         done; \
735         test -z "$$list2" || { \
736           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
737           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
738           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
739           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
740         }
741
742 uninstall-pkglibLTLIBRARIES:
743         @$(NORMAL_UNINSTALL)
744         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
745         for p in $$list; do \
746           $(am__strip_dir) \
747           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
748           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
749         done
750
751 clean-pkglibLTLIBRARIES:
752         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
753         @list='$(pkglib_LTLIBRARIES)'; \
754         locs=`for p in $$list; do echo $$p; done | \
755               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
756               sort -u`; \
757         test -z "$$locs" || { \
758           echo rm -f $${locs}; \
759           rm -f $${locs}; \
760         }
761
762 libsciio-algo.la: $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_DEPENDENCIES) $(EXTRA_libsciio_algo_la_DEPENDENCIES) 
763         $(AM_V_F77LD)$(F77LINK) $(am_libsciio_algo_la_rpath) $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_LIBADD) $(LIBS)
764
765 libsciio.la: $(libsciio_la_OBJECTS) $(libsciio_la_DEPENDENCIES) $(EXTRA_libsciio_la_DEPENDENCIES) 
766         $(AM_V_F77LD)$(F77LINK) $(am_libsciio_la_rpath) $(libsciio_la_OBJECTS) $(libsciio_la_LIBADD) $(LIBS)
767
768 mostlyclean-compile:
769         -rm -f *.$(OBJEXT)
770
771 distclean-compile:
772         -rm -f *.tab.c
773
774 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getenvc.Plo@am__quote@
775 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getpidc.Plo@am__quote@
776 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-setenvc.Plo@am__quote@
777 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-systemc.Plo@am__quote@
778 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo@am__quote@
779 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-gw_io.Plo@am__quote@
780 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_file.Plo@am__quote@
781 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getenv.Plo@am__quote@
782 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getio.Plo@am__quote@
783 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getpid.Plo@am__quote@
784 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_host.Plo@am__quote@
785 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_load.Plo@am__quote@
786 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read.Plo@am__quote@
787 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read4b.Plo@am__quote@
788 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_readb.Plo@am__quote@
789 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_save.Plo@am__quote@
790 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_setenv.Plo@am__quote@
791 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_unix.Plo@am__quote@
792 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write.Plo@am__quote@
793 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write4b.Plo@am__quote@
794 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_writeb.Plo@am__quote@
795
796 .c.o:
797 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
798 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
799 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
800 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
801 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
802
803 .c.obj:
804 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
805 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
806 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
807 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
808 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
809
810 .c.lo:
811 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
812 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
813 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
814 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
815 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
816
817 libsciio_algo_la-getpidc.lo: src/c/getpidc.c
818 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getpidc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getpidc.Tpo -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
819 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_algo_la-getpidc.Tpo $(DEPDIR)/libsciio_algo_la-getpidc.Plo
820 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getpidc.c' object='libsciio_algo_la-getpidc.lo' libtool=yes @AMDEPBACKSLASH@
821 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
822 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
823
824 libsciio_algo_la-setenvc.lo: src/c/setenvc.c
825 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-setenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-setenvc.Tpo -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
826 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_algo_la-setenvc.Tpo $(DEPDIR)/libsciio_algo_la-setenvc.Plo
827 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setenvc.c' object='libsciio_algo_la-setenvc.lo' libtool=yes @AMDEPBACKSLASH@
828 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
829 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
830
831 libsciio_algo_la-systemc.lo: src/c/systemc.c
832 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-systemc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-systemc.Tpo -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
833 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_algo_la-systemc.Tpo $(DEPDIR)/libsciio_algo_la-systemc.Plo
834 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/systemc.c' object='libsciio_algo_la-systemc.lo' libtool=yes @AMDEPBACKSLASH@
835 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
836 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
837
838 libsciio_algo_la-getenvc.lo: src/c/getenvc.c
839 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getenvc.Tpo -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
840 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_algo_la-getenvc.Tpo $(DEPDIR)/libsciio_algo_la-getenvc.Plo
841 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getenvc.c' object='libsciio_algo_la-getenvc.lo' libtool=yes @AMDEPBACKSLASH@
842 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
843 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
844
845 libsciio_algo_la-v2cuniterror.lo: src/c/v2cuniterror.c
846 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-v2cuniterror.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
847 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo $(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo
848 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/v2cuniterror.c' object='libsciio_algo_la-v2cuniterror.lo' libtool=yes @AMDEPBACKSLASH@
849 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
850 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
851
852 libsciio_la-sci_read4b.lo: sci_gateway/c/sci_read4b.c
853 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read4b.Tpo -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
854 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_read4b.Tpo $(DEPDIR)/libsciio_la-sci_read4b.Plo
855 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_read4b.c' object='libsciio_la-sci_read4b.lo' libtool=yes @AMDEPBACKSLASH@
856 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
857 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
858
859 libsciio_la-sci_getio.lo: sci_gateway/c/sci_getio.c
860 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getio.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getio.Tpo -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
861 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_getio.Tpo $(DEPDIR)/libsciio_la-sci_getio.Plo
862 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getio.c' object='libsciio_la-sci_getio.lo' libtool=yes @AMDEPBACKSLASH@
863 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
864 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
865
866 libsciio_la-sci_readb.lo: sci_gateway/c/sci_readb.c
867 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_readb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_readb.Tpo -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
868 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_readb.Tpo $(DEPDIR)/libsciio_la-sci_readb.Plo
869 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_readb.c' object='libsciio_la-sci_readb.lo' libtool=yes @AMDEPBACKSLASH@
870 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
871 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
872
873 libsciio_la-sci_host.lo: sci_gateway/c/sci_host.c
874 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_host.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_host.Tpo -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
875 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_host.Tpo $(DEPDIR)/libsciio_la-sci_host.Plo
876 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_host.c' object='libsciio_la-sci_host.lo' libtool=yes @AMDEPBACKSLASH@
877 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
878 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
879
880 libsciio_la-sci_file.lo: sci_gateway/c/sci_file.c
881 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_file.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_file.Tpo -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
882 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_file.Tpo $(DEPDIR)/libsciio_la-sci_file.Plo
883 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_file.c' object='libsciio_la-sci_file.lo' libtool=yes @AMDEPBACKSLASH@
884 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
885 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
886
887 libsciio_la-sci_getenv.lo: sci_gateway/c/sci_getenv.c
888 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getenv.Tpo -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
889 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_getenv.Tpo $(DEPDIR)/libsciio_la-sci_getenv.Plo
890 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getenv.c' object='libsciio_la-sci_getenv.lo' libtool=yes @AMDEPBACKSLASH@
891 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
892 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
893
894 libsciio_la-sci_write.lo: sci_gateway/c/sci_write.c
895 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write.Tpo -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
896 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_write.Tpo $(DEPDIR)/libsciio_la-sci_write.Plo
897 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_write.c' object='libsciio_la-sci_write.lo' libtool=yes @AMDEPBACKSLASH@
898 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
899 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
900
901 libsciio_la-sci_writeb.lo: sci_gateway/c/sci_writeb.c
902 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_writeb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_writeb.Tpo -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
903 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_writeb.Tpo $(DEPDIR)/libsciio_la-sci_writeb.Plo
904 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_writeb.c' object='libsciio_la-sci_writeb.lo' libtool=yes @AMDEPBACKSLASH@
905 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
906 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
907
908 libsciio_la-sci_setenv.lo: sci_gateway/c/sci_setenv.c
909 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_setenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_setenv.Tpo -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
910 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_setenv.Tpo $(DEPDIR)/libsciio_la-sci_setenv.Plo
911 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_setenv.c' object='libsciio_la-sci_setenv.lo' libtool=yes @AMDEPBACKSLASH@
912 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
913 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
914
915 libsciio_la-gw_io.lo: sci_gateway/c/gw_io.c
916 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-gw_io.lo -MD -MP -MF $(DEPDIR)/libsciio_la-gw_io.Tpo -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
917 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-gw_io.Tpo $(DEPDIR)/libsciio_la-gw_io.Plo
918 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_io.c' object='libsciio_la-gw_io.lo' libtool=yes @AMDEPBACKSLASH@
919 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
920 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
921
922 libsciio_la-sci_read.lo: sci_gateway/c/sci_read.c
923 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read.Tpo -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
924 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_read.Tpo $(DEPDIR)/libsciio_la-sci_read.Plo
925 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_read.c' object='libsciio_la-sci_read.lo' libtool=yes @AMDEPBACKSLASH@
926 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
927 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
928
929 libsciio_la-sci_getpid.lo: sci_gateway/c/sci_getpid.c
930 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getpid.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getpid.Tpo -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
931 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_getpid.Tpo $(DEPDIR)/libsciio_la-sci_getpid.Plo
932 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getpid.c' object='libsciio_la-sci_getpid.lo' libtool=yes @AMDEPBACKSLASH@
933 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
934 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
935
936 libsciio_la-sci_write4b.lo: sci_gateway/c/sci_write4b.c
937 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write4b.Tpo -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
938 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_write4b.Tpo $(DEPDIR)/libsciio_la-sci_write4b.Plo
939 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_write4b.c' object='libsciio_la-sci_write4b.lo' libtool=yes @AMDEPBACKSLASH@
940 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
941 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
942
943 libsciio_la-sci_load.lo: sci_gateway/c/sci_load.c
944 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_load.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_load.Tpo -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
945 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_load.Tpo $(DEPDIR)/libsciio_la-sci_load.Plo
946 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_load.c' object='libsciio_la-sci_load.lo' libtool=yes @AMDEPBACKSLASH@
947 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
948 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
949
950 libsciio_la-sci_unix.lo: sci_gateway/c/sci_unix.c
951 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_unix.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_unix.Tpo -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
952 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_unix.Tpo $(DEPDIR)/libsciio_la-sci_unix.Plo
953 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_unix.c' object='libsciio_la-sci_unix.lo' libtool=yes @AMDEPBACKSLASH@
954 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
955 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
956
957 libsciio_la-sci_save.lo: sci_gateway/c/sci_save.c
958 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_save.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_save.Tpo -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
959 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_save.Tpo $(DEPDIR)/libsciio_la-sci_save.Plo
960 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_save.c' object='libsciio_la-sci_save.lo' libtool=yes @AMDEPBACKSLASH@
961 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
962 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
963
964 .f.o:
965         $(AM_V_F77)$(F77COMPILE) -c -o $@ $<
966
967 .f.obj:
968         $(AM_V_F77)$(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
969
970 .f.lo:
971         $(AM_V_F77)$(LTF77COMPILE) -c -o $@ $<
972
973 v2unit.lo: src/fortran/v2unit.f
974         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2unit.lo `test -f 'src/fortran/v2unit.f' || echo '$(srcdir)/'`src/fortran/v2unit.f
975
976 newsave.lo: src/fortran/newsave.f
977         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o newsave.lo `test -f 'src/fortran/newsave.f' || echo '$(srcdir)/'`src/fortran/newsave.f
978
979 v2cunit.lo: src/fortran/v2cunit.f
980         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2cunit.lo `test -f 'src/fortran/v2cunit.f' || echo '$(srcdir)/'`src/fortran/v2cunit.f
981
982 intwrite4b.lo: sci_gateway/fortran/intwrite4b.f
983         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite4b.lo `test -f 'sci_gateway/fortran/intwrite4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite4b.f
984
985 intwritb.lo: sci_gateway/fortran/intwritb.f
986         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwritb.lo `test -f 'sci_gateway/fortran/intwritb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwritb.f
987
988 intwrite.lo: sci_gateway/fortran/intwrite.f
989         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite.lo `test -f 'sci_gateway/fortran/intwrite.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite.f
990
991 intread4b.lo: sci_gateway/fortran/intread4b.f
992         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread4b.lo `test -f 'sci_gateway/fortran/intread4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread4b.f
993
994 intread.lo: sci_gateway/fortran/intread.f
995         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread.lo `test -f 'sci_gateway/fortran/intread.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread.f
996
997 intreadb.lo: sci_gateway/fortran/intreadb.f
998         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intreadb.lo `test -f 'sci_gateway/fortran/intreadb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intreadb.f
999
1000 intfile.lo: sci_gateway/fortran/intfile.f
1001         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intfile.lo `test -f 'sci_gateway/fortran/intfile.f' || echo '$(srcdir)/'`sci_gateway/fortran/intfile.f
1002
1003 mostlyclean-libtool:
1004         -rm -f *.lo
1005
1006 clean-libtool:
1007         -rm -rf .libs _libs
1008 install-libsciio_la_etcDATA: $(libsciio_la_etc_DATA)
1009         @$(NORMAL_INSTALL)
1010         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
1011         if test -n "$$list"; then \
1012           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_etcdir)'"; \
1013           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_etcdir)" || exit 1; \
1014         fi; \
1015         for p in $$list; do \
1016           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1017           echo "$$d$$p"; \
1018         done | $(am__base_list) | \
1019         while read files; do \
1020           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_etcdir)'"; \
1021           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_etcdir)" || exit $$?; \
1022         done
1023
1024 uninstall-libsciio_la_etcDATA:
1025         @$(NORMAL_UNINSTALL)
1026         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
1027         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1028         dir='$(DESTDIR)$(libsciio_la_etcdir)'; $(am__uninstall_files_from_dir)
1029 install-libsciio_la_rootDATA: $(libsciio_la_root_DATA)
1030         @$(NORMAL_INSTALL)
1031         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
1032         if test -n "$$list"; then \
1033           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_rootdir)'"; \
1034           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_rootdir)" || exit 1; \
1035         fi; \
1036         for p in $$list; do \
1037           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1038           echo "$$d$$p"; \
1039         done | $(am__base_list) | \
1040         while read files; do \
1041           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_rootdir)'"; \
1042           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_rootdir)" || exit $$?; \
1043         done
1044
1045 uninstall-libsciio_la_rootDATA:
1046         @$(NORMAL_UNINSTALL)
1047         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
1048         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1049         dir='$(DESTDIR)$(libsciio_la_rootdir)'; $(am__uninstall_files_from_dir)
1050 install-libsciio_la_sci_gatewayDATA: $(libsciio_la_sci_gateway_DATA)
1051         @$(NORMAL_INSTALL)
1052         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
1053         if test -n "$$list"; then \
1054           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
1055           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit 1; \
1056         fi; \
1057         for p in $$list; do \
1058           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1059           echo "$$d$$p"; \
1060         done | $(am__base_list) | \
1061         while read files; do \
1062           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
1063           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit $$?; \
1064         done
1065
1066 uninstall-libsciio_la_sci_gatewayDATA:
1067         @$(NORMAL_UNINSTALL)
1068         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
1069         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1070         dir='$(DESTDIR)$(libsciio_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1071
1072 ID: $(am__tagged_files)
1073         $(am__define_uniq_tagged_files); mkid -fID $$unique
1074 tags: tags-am
1075 TAGS: tags
1076
1077 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1078         set x; \
1079         here=`pwd`; \
1080         $(am__define_uniq_tagged_files); \
1081         shift; \
1082         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1083           test -n "$$unique" || unique=$$empty_fix; \
1084           if test $$# -gt 0; then \
1085             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1086               "$$@" $$unique; \
1087           else \
1088             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1089               $$unique; \
1090           fi; \
1091         fi
1092 ctags: ctags-am
1093
1094 CTAGS: ctags
1095 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1096         $(am__define_uniq_tagged_files); \
1097         test -z "$(CTAGS_ARGS)$$unique" \
1098           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1099              $$unique
1100
1101 GTAGS:
1102         here=`$(am__cd) $(top_builddir) && pwd` \
1103           && $(am__cd) $(top_srcdir) \
1104           && gtags -i $(GTAGS_ARGS) "$$here"
1105 cscopelist: cscopelist-am
1106
1107 cscopelist-am: $(am__tagged_files)
1108         list='$(am__tagged_files)'; \
1109         case "$(srcdir)" in \
1110           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1111           *) sdir=$(subdir)/$(srcdir) ;; \
1112         esac; \
1113         for i in $$list; do \
1114           if test -f "$$i"; then \
1115             echo "$(subdir)/$$i"; \
1116           else \
1117             echo "$$sdir/$$i"; \
1118           fi; \
1119         done >> $(top_builddir)/cscope.files
1120
1121 distclean-tags:
1122         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1123
1124 distdir: $(DISTFILES)
1125         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1126         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1127         list='$(DISTFILES)'; \
1128           dist_files=`for file in $$list; do echo $$file; done | \
1129           sed -e "s|^$$srcdirstrip/||;t" \
1130               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1131         case $$dist_files in \
1132           */*) $(MKDIR_P) `echo "$$dist_files" | \
1133                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1134                            sort -u` ;; \
1135         esac; \
1136         for file in $$dist_files; do \
1137           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1138           if test -d $$d/$$file; then \
1139             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1140             if test -d "$(distdir)/$$file"; then \
1141               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1142             fi; \
1143             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1144               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1145               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1146             fi; \
1147             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1148           else \
1149             test -f "$(distdir)/$$file" \
1150             || cp -p $$d/$$file "$(distdir)/$$file" \
1151             || exit 1; \
1152           fi; \
1153         done
1154 check-am: all-am
1155         $(MAKE) $(AM_MAKEFLAGS) check-local
1156 check: check-am
1157 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1158 installdirs:
1159         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciio_la_etcdir)" "$(DESTDIR)$(libsciio_la_rootdir)" "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"; do \
1160           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1161         done
1162 install: install-am
1163 install-exec: install-exec-am
1164 install-data: install-data-am
1165 uninstall: uninstall-am
1166
1167 install-am: all-am
1168         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1169
1170 installcheck: installcheck-am
1171 install-strip:
1172         if test -z '$(STRIP)'; then \
1173           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1174             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1175               install; \
1176         else \
1177           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1178             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1179             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1180         fi
1181 mostlyclean-generic:
1182
1183 clean-generic:
1184
1185 distclean-generic:
1186         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1187         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1188
1189 maintainer-clean-generic:
1190         @echo "This command is intended for maintainers to use"
1191         @echo "it deletes files that may require special tools to rebuild."
1192 clean: clean-am
1193
1194 clean-am: clean-generic clean-libtool clean-local \
1195         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1196
1197 distclean: distclean-am
1198         -rm -rf ./$(DEPDIR)
1199         -rm -f Makefile
1200 distclean-am: clean-am distclean-compile distclean-generic \
1201         distclean-local distclean-tags
1202
1203 dvi: dvi-am
1204
1205 dvi-am:
1206
1207 html: html-am
1208
1209 html-am:
1210
1211 info: info-am
1212
1213 info-am:
1214
1215 install-data-am: install-data-local install-libsciio_la_etcDATA \
1216         install-libsciio_la_rootDATA \
1217         install-libsciio_la_sci_gatewayDATA
1218
1219 install-dvi: install-dvi-am
1220
1221 install-dvi-am:
1222
1223 install-exec-am: install-pkglibLTLIBRARIES
1224
1225 install-html: install-html-am
1226
1227 install-html-am: install-html-local
1228
1229 install-info: install-info-am
1230
1231 install-info-am:
1232
1233 install-man:
1234
1235 install-pdf: install-pdf-am
1236
1237 install-pdf-am:
1238
1239 install-ps: install-ps-am
1240
1241 install-ps-am:
1242
1243 installcheck-am:
1244
1245 maintainer-clean: maintainer-clean-am
1246         -rm -rf ./$(DEPDIR)
1247         -rm -f Makefile
1248 maintainer-clean-am: distclean-am maintainer-clean-generic
1249
1250 mostlyclean: mostlyclean-am
1251
1252 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1253         mostlyclean-libtool
1254
1255 pdf: pdf-am
1256
1257 pdf-am:
1258
1259 ps: ps-am
1260
1261 ps-am:
1262
1263 uninstall-am: uninstall-libsciio_la_etcDATA \
1264         uninstall-libsciio_la_rootDATA \
1265         uninstall-libsciio_la_sci_gatewayDATA \
1266         uninstall-pkglibLTLIBRARIES
1267
1268 .MAKE: check-am install-am install-strip
1269
1270 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1271         check-local clean clean-generic clean-libtool clean-local \
1272         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1273         ctags ctags-am distclean distclean-compile distclean-generic \
1274         distclean-libtool distclean-local distclean-tags distdir dvi \
1275         dvi-am html html-am info info-am install install-am \
1276         install-data install-data-am install-data-local install-dvi \
1277         install-dvi-am install-exec install-exec-am install-html \
1278         install-html-am install-html-local install-info \
1279         install-info-am install-libsciio_la_etcDATA \
1280         install-libsciio_la_rootDATA \
1281         install-libsciio_la_sci_gatewayDATA install-man install-pdf \
1282         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1283         install-ps-am install-strip installcheck installcheck-am \
1284         installdirs maintainer-clean maintainer-clean-generic \
1285         mostlyclean mostlyclean-compile mostlyclean-generic \
1286         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1287         uninstall-am uninstall-libsciio_la_etcDATA \
1288         uninstall-libsciio_la_rootDATA \
1289         uninstall-libsciio_la_sci_gatewayDATA \
1290         uninstall-pkglibLTLIBRARIES
1291
1292
1293 # This target enables tests for Scilab
1294 check-local: $(top_builddir)/scilab-bin test
1295         if test -d $(mydatadir)/tests; then \
1296           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1297         fi
1298 check-code:
1299         if test -f build.xml; then \
1300                 $(ANT) checkstyle; \
1301         fi
1302         if test -x "$(SPLINT)"; then \
1303                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1304         fi
1305 @NEED_JAVA_TRUE@java:
1306 # Some configurations needs to export JAVA_HOME in the current env
1307 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1308 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1309 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1310 @NEED_JAVA_TRUE@                $(ANT); \
1311 @NEED_JAVA_TRUE@        fi
1312
1313 @NEED_JAVA_TRUE@clean-java:
1314 # Some configurations needs to export JAVA_HOME in the current env
1315 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1316 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1317 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1318 @NEED_JAVA_TRUE@                $(ANT) clean; \
1319 @NEED_JAVA_TRUE@        fi;
1320
1321 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1322 # We call the target swig-build on the variable SWIG_WRAPPERS
1323
1324 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1325 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1326 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1327 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1328 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1329 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1330 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1331 @SWIG_TRUE@             done; \
1332 @SWIG_TRUE@     fi
1333
1334 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1335 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1336 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1337 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1338 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1339 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1340 @SWIG_TRUE@             done; \
1341 @SWIG_TRUE@     fi
1342
1343 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1344 # We call the target swig-build on the variable SWIG_WRAPPERS
1345
1346 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1347 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1348 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1349 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1350 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1351 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1352 @GIWS_TRUE@             done; \
1353 @GIWS_TRUE@     fi
1354
1355 @GIWS_TRUE@giws-exception:
1356 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1357 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1358 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1359
1360 macros:
1361         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1362                 echo "Error : Cannot build $< : Scilab has not been built"; \
1363         else \
1364                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1365         fi)
1366
1367 # Removes the macros
1368 clean-macros:
1369 # Removes macros (*.bin generated from .sci)
1370         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1371                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1372                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1373         done
1374
1375 test:
1376 # More tests could be added here
1377         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1378         if test -f build.xml -a $$USEANT -eq 1; then \
1379                 $(ANT) test; \
1380         fi
1381
1382 all-local: $(TARGETS_ALL)
1383
1384 .sci.bin:
1385         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1386         echo "Error : Cannot build $< : Scilab has not been build"; \
1387         else \
1388         echo "Creating $@"; \
1389         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1390         fi )
1391
1392 install-html-local:
1393
1394 install-data-local-local:
1395 # Mainly for javasci
1396         @if test -d $(srcdir)/javadoc; then \
1397                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1398         fi
1399 # If the user wants the help sources to be installed
1400 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1401 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1402 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1403 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1404 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1405 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1406 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1407 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1408 @INSTALL_HELP_XML_TRUE@           done ; \
1409 @INSTALL_HELP_XML_TRUE@         fi; \
1410 @INSTALL_HELP_XML_TRUE@  fi; \
1411 @INSTALL_HELP_XML_TRUE@ done; \
1412 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1413 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1414 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1415 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1416 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1417 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1418 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1419 @INSTALL_HELP_XML_TRUE@           done ; \
1420 @INSTALL_HELP_XML_TRUE@         fi; \
1421 @INSTALL_HELP_XML_TRUE@ fi
1422 install-data-local:
1423 # Install the tests
1424         @echo "-------- Install tests (if any) --------"; \
1425         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1426           if test -d $(srcdir)/$$dir/; then \
1427             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1428                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1429                     if test -d "$(srcdir)/$$dir/$$file"; then \
1430                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1431                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1432                     else \
1433                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1434                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1435                     fi \
1436                   done; \
1437           fi; \
1438         done
1439 # Install the help chapter
1440         @echo "-------- Install the help chapter (if any) --------"; \
1441         for lang in $(HELP_CHAPTERLANG); do \
1442                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1443                 if test -f $$HELPFILE; then \
1444                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1445                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1446                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1447                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1448                 fi; \
1449         done
1450 # Install the demos & examples
1451         @echo "-------- Install demos & examples (if any) --------"; \
1452         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1453           if test -d $(srcdir)/$$dir/; then \
1454             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1455                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1456                     if test -d "$(srcdir)/$$dir/$$file"; then \
1457                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1458                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1459                     else \
1460                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1461                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1462                     fi \
1463                   done; \
1464           fi; \
1465         done
1466 # Install the macros
1467         @echo "-------- Install macros (if any) --------"; \
1468         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1469           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1470                 if test -d $(srcdir)/$$dir/; then \
1471                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1472                         if test -n "$(MACROSSPECIALEXT)"; then \
1473                                 specialExtDir=""; \
1474                                 for specialExt in $(MACROSSPECIALEXT); do \
1475                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1476                                 done; \
1477                                 FILELIST="$$FILELIST $$specialExtDir"; \
1478                         fi; \
1479                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1480                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1481                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1482                   done; \
1483                 fi; \
1484         done
1485 # Install java files (.jar)
1486         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1487         echo "-------- Install jar files --------"; \
1488     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1489           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1490                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1491                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1492           done ; \
1493         fi
1494
1495 ########### CLEAN ###################
1496 # Clean help (generated automatically by Scilab)
1497 # It used to clean the macro (clean-macros) but this was causing
1498 # make clean && make to fail Scilab startup
1499 @NEED_JAVA_TRUE@clean-local: clean-java
1500 @NEED_JAVA_FALSE@clean-local:
1501
1502 distclean-local:
1503         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1504
1505 .PHONY: macros java swig giws
1506
1507 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1508 # Otherwise a system limit (for SysV at least) may be exceeded.
1509 .NOEXPORT: